Summary: X.Org X11 libXrandr runtime library
Name: libXrandr
Version: 1.1.2
Release: 1
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
Source0: http://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch, pkg-config, xorg-compat-aix
BuildRequires: libXrender-devel >= 0.9.5-1
Requires: libXrender >= 0.9.5-1

%description
X.Org X11 libXrandr runtime library

The library is available as 32-bit and 64-bit.


%package devel
Summary: X.Org X11 libXrandr development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libXrender-devel >= 0.9.5-1

%description devel
X.Org X11 libXrandr development package

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q
# we have to "add" two header files
export PATH=/opt/freeware/bin:$PATH
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

export X_CFLAGS="-I../include"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp src/.libs/%{name}.so.2 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/%{name}.a ./%{name}.so.2


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# we need to manually install the randr.h and randrproto.h files
cp include/X11/extensions/randr*.h ${RPM_BUILD_ROOT}%{_includedir}/X11/extensions/

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/X11/extensions/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/xrandr.pc
%{_mandir}/man3/*
/usr/lib/*.la


%changelog
* Thu Feb 23 2012 Michael Perzl <michael@perzl.org> - 1.1.2-1
- first version for AIX V5.1 and higher
